6.0.0-git
2019-03-19

[#10050] Turba photo changing address after save
Summary Turba photo changing address after save
Queue Turba
Queue Version 3.0.2
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester jbo (at) isep (dot) ipp (dot) pt
Created 2011-05-05 (2875 days ago)
Due
Updated 2011-05-23 (2857 days ago)
Assigned 2011-05-05 (2875 days ago)
Resolved 2011-05-23 (2857 days ago)
Milestone 3.0.3
Patch No

History
2011-05-23 22:12:37 Michael Rubinsky Assigned to Michael Rubinsky
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2011-05-23 22:11:49 Git Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Bug: 10050 Don't remove tmp image file at request shutdown.
Commit 9fd6579fa7b1e1a920601c3f9517c1fd18a84c0e broke the existing
behavior of not removing the temporary file. This restores that
functionality. Not sure if this is the final fix for this, as this
causes tmp image files to build up in the temporary directory. However,
this was the previous behavior and should be the admin's job to perform
gc on temp directory periodically anyway.

  1 files changed, 1 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/3a6dae7dab4c44fce7e283bd0c0ed4489808851a
2011-05-23 21:50:21 Michael Rubinsky Comment #4 Reply to this comment
I've traced this down to the fact that the file is regestered for 
removal at request shutdown, so when the img is requested by the 
browser to render the <img> tag (which is a different request) the 
image is gone.

Not sure what the solution here is yet...
2011-05-21 13:39:27 Michael Rubinsky Comment #3 Reply to this comment
possibly also causing Bug: 10035
2011-05-20 13:12:37 Jan Schneider Priority ⇒ 2. Medium
Milestone ⇒ 3.0.3
 
2011-05-05 17:59:20 Michael Rubinsky Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
This broke very recently. Was working last time I was testing 
ActiveSync'ing the photos.
2011-05-05 16:32:42 jbo (at) isep (dot) ipp (dot) pt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Turba photo changing address after save
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
Ubuntu 10.04

Photos stored in /tmp

Steps:
1 - Upload a photo contact. it appears ok in turba
2 - Save contact and photo desapears from contact.

Reason:
The filename for the photo changes after the save.
Ex:
After upload
?f=horde_form_XEho7M
after save
f=horde_form_4KKt4k

Saved Queries